burgers_flux_godunov.icc File Reference

The Burgers equation – the Godonov flux. More...

Go to the source code of this file.

## Functions

Float | phi (const point &nu, Float a, Float b)

## Detailed Description

The Burgers equation – the Godonov flux.

This file is part of Rheolef.

Copyright (C) 2000-2009 Pierre Saramito Pierr.nosp@m.e.Sa.nosp@m.ramit.nosp@m.o@im.nosp@m.ag.fr

Rheolef is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

Rheolef is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with Rheolef; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA

Definition in file burgers_flux_godunov.icc.

## Function Documentation

## phi()

Float phi | ( | const point & | nu,
|  | Float | a,
|  | Float | b
| ) |  |

Examples
  burgers_flux_godunov.icc, convect.cc, convect2.cc, convect_error.cc, convect_hdg.cc, convect_hdg_error.cc, leveque_dg.cc, streamf_cavity.cc, streamf_cavity.icc, transport_dg.cc, and zalesak_dg.cc.

Definition at line 25 of file burgers_flux_godunov.icc.